:Author:  Zlia da ROCHA

:Address: 
		Departamento de Matemtica Aplicada da
		Faculdade de Cincias do Porto
		Rua das Taipas, 135
		4050 Porto
		Portugal
  
		Tel: ++351 02 2080313
		Fax: ++351 02 2004109
		Email: mrdioh@fc.up.pt

:Date: July 1999

 Available at http://netlib.bell-labs.com/ in the 
 numeralgo library in netlib      

:Packages Version: 1.0 

:Mathematica Version: 3.0  
 
:Keywords: Shohat-Favard, Chebyshev and Modified Chebyshev's methods, 
recurrence relations, d-orthogonal polynomials sequences, regular forms,
d-dimensional canonical forms.

:Sources:
Z. da Rocha, Shohat-Favard and Chebyshev's methods in d-orthogonality, 
Numerical Algorithms, 20 (1999) 139-164.

		
:Summary:

This software is composed by three directories, that are 
shohatfavard, chebyshev and modchebyshev. 

Each directory is composed by the package that implements the method, 
and as many data packages and notebooks, that produce the results, 
as the number of examples presented in the paper.
In each directory, we give also a data package and a notebook to test 
new examples given by the user.

More precisely,


shohatfavard contains,

 - the package shfv.m that implements the Shohat-Favard's method,
 
 - the packages datashfv2.m, datashfv3.m, datashfv51.m, datashfv52.m, 
 datashfv53.m and datashfv6.m corresponding to the data of the examples 
 2, 3, 5.1, 5.2, 5.3 and 6 of the paper,
 
 - the notebooks testshfv2.nb, testshfv3.nb, testshfv51.nb,
testshfv52.nb, testshfv53.nb and testshfv6.nb where have been 
produced the results of the corresponding examples.

 - the package datashfvnew.m and the notebook testshfvnew.nb 
 corresponding to a new example given by the user. Of course,
 the user must fill in the new definitions.
 
 
 Note: In the package shfv.m the statement 
 BeginPackage["shohatfavard`shfv`","shohatfavard`datashfvXX`"] 
 has to be changed according to the example wanted.
 Then, do <<shohatfavard`shfv` or Needs["shohatfavard`shfv`"] 
 in any notebook to load the package. Afterthat, call the 
 corresponding definitions to produce the results.


chebyshev contains,

 - the package chv.m that implements the Chebyshev's method,
 
 - the packages datachv1.m, datachv2.m, datachv3.m, datachv41.m, 
 datachv52.m, datachv53.m and datachv6.m corresponding to the data of the 
 examples 1, 2, 3, 4.1, 5.2, 5.3 and 6 of the paper,
 
 - the notebooks testchv1.nb, testchv2.nb, testchv3.nb,
testchv41.nb, testchv52.nb, testchv53.nb and testshfv6.nb
that produce the results of the corresponding examples,

- the package datachvnew.m and the notebook testchvnew.nb 
corresponding to a new example given by the user. Of course, the user 
must fill in the new definitions.

Note: In the package chv.m the statement 
BeginPackage["chebyshev`chv`","chebyshev`datachvXX`"] 
has to be changed according to the example wanted.
Then, do <<chebyshev`chv` or Needs["chebyshev`chv`"] 
on any notebook to load the package. Afterthat, call the 
corresponding definitions to produce the results.


modchebyshev contains,

 - the package modchv.m that implements the Modified Chebyshev's method,
 
 - the packages datamodchv42.m and datamodchv43.m corresponding to the data
 of the examples 4.2 and 4.3,
 
 - the notebooks testmodchv42.nb and testmodchv43.nb, 
 that produce the results of the corresponding examples,
 
 - the package datamodchvnew.m and the notebook testmodchvnew.nb 
 corresponding to a new example given by the user. Of course, the user 
 must fill in the new definitions.
 
Note: In the package modchv.m the statement 
BeginPackage["modchebyshev`modchv`","modchebyshev`datamodchvXX`"] 
has to be changed according to the example wanted.
Then, do <<modchebyshev`modchv` or Needs["modchebyshev`modchv`"] 
on any notebook to load the package. Afterthat, call the 
corresponding definitions to produce the results.
 
 
 
:Warnings: How to install this software.
 
The directories shohatfavard, chebyshev and modchebyshev should be placed 
in a directory that must be indicated in the file search path $Path.


:Note:

This software has been developed on a Power Macintosh 4400/200 with 
Mathematica version 3.0. 
The numeric machine precision is of 16 significant digits.



Example:

Let us suppose that in the package chv.m the BeginPackage command is
BeginPackage["chebyshev`chv`","chebyshev`datachv2`"].

Start Mathematica.
Open any notebook and type:

<<chebyshev`chv`    (* load the package chv.m  *)

(* Now call the corresponding definitions to produce the results  *)

gamma[2,1,10]
93043020/42527

beta[2,9]
7325/86